---
- name: "lambda_role_path | set"
  set_fact:
    lambda_role_path: "{{ role_path }}"
  tags:
    - always

# Package python lambda functions and upload to S3
- include_tasks: check-vars.yml
  tags: [ "aws", "lambda", "lambda:ebssnapshots", "aws:lambda:ebssnapshots", "lambda:ebssnapshots:check", "aws:lambda:ebssnapshots:check", "lambda:ebssnapshots:check", "aws:lambda:ebssnapshots:check" ]

- include_role:
    name: aws-utils
    tasks_from: lambda-python-package.yml
  vars:
    lambda_bucket_name: "{{ aws_lambda_ebssnapshots_params.lambda_bucket_name }}"
    lambda_function: "{{ aws_lambda_ebssnapshots_params.lambda }}"
  tags: [ "aws", "lambda", "lambda:ebssnapshots", "aws:lambda:ebssnapshots", "lambda:ebssnapshots:prepare", "aws:lambda:ebssnapshots:prepare", "lambda:ebssnapshots:prepare", "aws:lambda:ebssnapshots:prepare" ]

# Create lambda stack
- include_tasks: lambda-stack.yml
  tags: [ "aws", "lambda", "lambda:ebssnapshots", "aws:lambda:ebssnapshots", "lambda:ebssnapshots:deploy", "aws:lambda:ebssnapshots:deploy", "lambda:ebssnapshots:deploy", "aws:lambda:ebssnapshots:deploy" ]
